IOHandler.cpp File Reference
`#include "stdinc.h"`
`#include "IOHandler.h"`
`#include "Scanner.h"`
`#include "VarNames.h"`
`#include "NameFactory.h"`
`#include "FrobbyStringStream.h"`
`#include "DataType.h"`
`#include "BigTermConsumer.h"`
`#include "CoefBigTermConsumer.h"`
`#include "CountingIOHandler.h"`
`#include "NewMonosIOHandler.h"`
`#include "MonosIOHandler.h"`
`#include "Macaulay2IOHandler.h"`
`#include "Fourti2IOHandler.h"`
`#include "NullIOHandler.h"`
`#include "CoCoA4IOHandler.h"`
`#include "SingularIOHandler.h"`
`#include "error.h"`
`#include "BigTermRecorder.h"`
`#include "InputConsumer.h"`

Go to the source code of this file.

## Functions

unique_ptr< IOHandler > | createIOHandler (const string &prefix)
| Returns an IOHandler for the format whose name has the given prefix.
unique_ptr< IOHandler > | createOHandler (const string &input, const string &output)
| Returns an IOHandler for the output format.
void | getIOHandlerNames (vector< string > &names)
| Add the name of each fomat to names.
void | readFrobeniusInstance (Scanner &in, vector< mpz_class > &numbers)
string | autoDetectFormat (Scanner &in)
| Return the format of what in is reading based on the first non-whitespace character.
string | getFormatNameIndicatingToUseInputFormatAsOutputFormat ()
| Using the returned string in place of an (output) format name indicates to use the input format as the output format.
string | getFormatNameIndicatingToGuessTheInputFormat ()
| Using the returned string in place of an (input) format name indicates to guess the format based on what is being read.

## Function Documentation

## autoDetectFormat()

string autoDetectFormat | ( | Scanner & | in | ) |

Return the format of what in is reading based on the first non-whitespace character.

Definition at line 198 of file IOHandler.cpp.

## createIOHandler()

unique_ptr< IOHandler > createIOHandler | ( | const string & | prefix | ) |

Returns an IOHandler for the format whose name has the given prefix.

Definition at line 145 of file IOHandler.cpp.

## createOHandler()

unique_ptr< IOHandler > createOHandler | ( | const string & | input,
|  | const string & | output )

Returns an IOHandler for the output format.

This can depend on the input format since the output name can specify to let the output format be the input format.

Definition at line 149 of file IOHandler.cpp.

## getFormatNameIndicatingToGuessTheInputFormat()

string getFormatNameIndicatingToGuessTheInputFormat | ( |  | ) |

Using the returned string in place of an (input) format name indicates to guess the format based on what is being read.

This was the shortest clear name that I could come up with.

Definition at line 234 of file IOHandler.cpp.

## getFormatNameIndicatingToUseInputFormatAsOutputFormat()

string getFormatNameIndicatingToUseInputFormatAsOutputFormat | ( |  | ) |

Using the returned string in place of an (output) format name indicates to use the input format as the output format.

This was the shortest clear name that I could come up with.

Definition at line 230 of file IOHandler.cpp.

## getIOHandlerNames()

void getIOHandlerNames | ( | vector< string > & | names | ) |

Add the name of each fomat to names.

Definition at line 156 of file IOHandler.cpp.

## readFrobeniusInstance()

void readFrobeniusInstance | ( | Scanner & | in,
|  | vector< mpz_class > & | numbers )

Definition at line 160 of file IOHandler.cpp.